.Navigation {
    $self: &;

    align-items: center;
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: center;

    @include query('lg') {
        flex-direction: row;
        height: auto;
    }

    &__item,
    &__subMenuItem {
        a {
            white-space: nowrap;
        }
    }

    &__item {
        position: relative;

        &:not(:last-of-type) {
            margin-bottom: 20px;

            @include query('lg') {
                padding: 20px 0;
                margin-bottom: 0;
                margin-right: 20px;
            }
        }

        @include query('lg') {
            &:hover,
            &:focus,
            &:focus-within {
                // #{$self}__subMenu {
                //     opacity: 1;
                //     pointer-events: all;
                // }

                > ul[class*='__subMenu'] {
                    opacity: 1;
                    pointer-events: all;
                    top: 100%;
                }
            }
        }
    }

    &__subMenuItem {
        &:hover,
        &:focus,
        &:focus-within {
            > ul[class*='depth-'] {
                left: 100%;
                opacity: 1;
                pointer-events: all;
                top: -2px;
            }
        }

        @include query('lg') {
            padding: 5px 30px;
        }
    }

    ul[class*='__subMenu'] {
        background: white;
        bottom: 0;
        height: 100%;
        left: 100%;
        padding: 30px;
        position: fixed;
        top: 0;
        transition: left 350ms cubic-bezier(1, 0, 0, 1);
        width: 100%;
        z-index: 20;

        @include query(lg) {
            border-bottom: 1px solid #e7e7e7;
            border-left: 1px solid #e7e7e7;
            border-right: 1px solid #e7e7e7;
            border-top: 2px solid theme('colors.primary');
            padding: 30px 0;
            transition: opacity;
        }

        &.open {
            left: 0;
        }

        @include query('lg') {
            bottom: unset;
            height: auto;
            left: 0;
            opacity: 0;
            pointer-events: none;
            position: absolute;
            top: 110%;
            width: auto;
        }
    }

    &__subMenu__go-back {
        margin-bottom: 20px;

        @include query('lg') {
            display: none;
        }
    }
}
